#include "forms.h"

void load_group_browser()
{
    FILE
        *f;

    if (!app_defaults.sort_groups)
    {
        fl_load_browser(groupbrowser, app_defaults.groups);
        return;
    }

    if (!(f = fopen(app_defaults.groups, r)))
    {
        alert("Can't read", app_defaults.groups);
        return;
    }

    char
        buf[250],
        **lines = 0;
    unsigned
        n = 0;

    while (fgets(buf, 250, f))
    {
        lines = (char **)realloc(lines, (n + 1) * sizeof(char *));
        lines[n++] = strdup(buf);
    }

    fclose(f);

    qsort (lines, n, sizeof(char *), linecompare);

    for (int index = 0; index < n; index++)
    {
        fl_add_browser_line(groupbrowser, lines[index]);
        delete lines[index];
    }

    delete lines;
}

