#include "shadow.h"

void sdw_read()
{
    FILE
        *f;
    struct spwd
        *spw;
    USER_
        *up;

    f = xfopen(app_defaults.shadow, r);

    while (spw = fgetspent(f))      // read a shadow password structure
    {
        if (up = user_lookup(spw->sp_namp))
            shadow_cp(up, spw);             // cp the shadow info
        else
            fl_show_alert("No /etc/passwd entry for", 
                          spw->sp_namp,
                          "The /etc/shadow/ entry will be removed at the next"
                          "`Save'-operation", 1);
    }

    fclose(f);
}

    
